Account and access

Who is calling, in which company and with which role.

Get the session context

GEThttps://api.drometra.com/v1/context

Requires the access token of a person in your company.

Headers

x-tenant-idmandatorystring · uuid
Your company's identifier. The server checks that you are still an active member of it.

Response · 200

  • actorIdstring · uuidalways
  • tenantIdstring · uuidalways
  • roleenum: viewer | operator | admin | driveralways

It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.

request
curl -X GET "https://api.drometra.com/v1/context" \
  -H "Authorization: Bearer $DROMETRA _ TOKEN"\
  -H "x-tenant-id: $DROMETRA_TENANT" \
  -H "Accept: application / json"
response · 200
{
  "actorId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
  "tenantId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
  "role": "viewer"
}

List my companies

GEThttps://api.drometra.com/v1/me/tenants

Requires the access token of a person in your company.

Response · 200

  • array de objectalways

It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.

request
curl -X GET "https://api.drometra.com/v1/me/tenants" \
  -H "Authorization: Bearer $DROMETRA _ TOKEN"\
  -H "Accept: application / json"
response · 200
{
  "items": [
    {
      "tenantId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
      "name": "…",
      "role": "viewer"
    }
  ]
}

List members

GEThttps://api.drometra.com/v1/members

Requires the access token of a person in your company.

Headers

x-tenant-idmandatorystring · uuid
Your company's identifier. The server checks that you are still an active member of it.

Response · 200

  • actorIdstring · uuidalways
  • roleenum: viewer | operator | admin | driveralways
  • activebooleanalways

It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.

request
curl -X GET "https://api.drometra.com/v1/members" \
  -H "Authorization: Bearer $DROMETRA _ TOKEN"\
  -H "x-tenant-id: $DROMETRA_TENANT" \
  -H "Accept: application / json"
response · 200
[
  {
    "actorId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
    "role": "viewer",
    "active": true
  }
]

Update a member

PATCHhttps://api.drometra.com/v1/members/{id}

Requires the access token of a person in your company.

Headers

x-tenant-idmandatorystring · uuid
Your company's identifier. The server checks that you are still an active member of it.

Road parameters

idmandatorystring · uuid
e. g. 0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d

Body

rolemandatoryenum: viewer | operator | admin | driver
activemandatoryboolean

Response · 200

  • actorIdstring · uuidalways
  • roleenum: viewer | operator | admin | driveralways
  • activebooleanalways

It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.

request
curl -X PATCH "https://api.drometra.com/v1/members/0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d" \
  -H "Authorization: Bearer $DROMETRA _ TOKEN"\
  -H "x-tenant-id: $DROMETRA_TENANT" \
  -H "Content-Type: application/json" \ -d '{
    "role": "…",
    "active": true
  }'
response · 200
{
  "actorId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
  "role": "viewer",
  "active": true
}

Query the audit log

GEThttps://api.drometra.com/v1/audit

Requires the access token of a person in your company.

Headers

x-tenant-idmandatorystring · uuid
Your company's identifier. The server checks that you are still an active member of it.

Reference parameters

afterstring · uuid
limitinteger

Response · 200

  • idstring · uuidalways
  • tenantIdstring · uuidalways
  • actorIdstring · uuidalways
  • requestIdstring · uuidalways
  • resourceIdstring · uuidalways
  • actionstringalways
  • outcomestringalways
  • createdAtstring · date-timealways

It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.

request
curl -X GET "https://api.drometra.com/v1/audit" \
  -H "Authorization: Bearer $DROMETRA _ TOKEN"\
  -H "x-tenant-id: $DROMETRA_TENANT" \
  -H "Accept: application / json"
response · 200
[
  {
    "id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
    "tenantId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
    "actorId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
    "requestId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
    "resourceId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
    "action": "…",
    "outcome": "…",
    "createdAt": "2026-10-21T14:02:31Z"
  }
]